> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openhands.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Custom Secrets

> Search / List custom secrets.

Retrieves the names and descriptions of custom secrets for the authenticated user.
Results are paginated and can be filtered by name.

In SaaS mode, includes the system-generated OPENHANDS_API_KEY which cannot be deleted.

Returns:
    CustomSecretPage: Paginated list of custom secrets (without values)



## OpenAPI

````yaml /openapi/openhands-cloud.json get /api/v1/secrets/search
openapi: 3.1.0
info:
  title: OpenHands
  description: 'OpenHands: Code Less, Make More'
  version: 0.0.1
servers: []
security: []
paths:
  /api/v1/secrets/search:
    get:
      tags:
        - Secrets
      summary: Search Custom Secrets
      description: >-
        Search / List custom secrets.


        Retrieves the names and descriptions of custom secrets for the
        authenticated user.

        Results are paginated and can be filtered by name.


        In SaaS mode, includes the system-generated OPENHANDS_API_KEY which
        cannot be deleted.


        Returns:
            CustomSecretPage: Paginated list of custom secrets (without values)
      operationId: search_custom_secrets_api_v1_secrets_search_get
      parameters:
        - name: name__contains
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Filter by name containing this string
        - name: page_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Optional next_page_id from the previously returned page
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            exclusiveMinimum: 0
            title: The max number of results in the page
            default: 100
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomSecretPage'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    CustomSecretPage:
      properties:
        items:
          items:
            $ref: '#/components/schemas/CustomSecretWithoutValue'
          type: array
          title: Items
        next_page_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Page Id
      type: object
      required:
        - items
      title: CustomSecretPage
      description: Paginated response for custom secrets search.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CustomSecretWithoutValue:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
      type: object
      required:
        - name
      title: CustomSecretWithoutValue
      description: Custom secret model without value (for listing secrets).
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Access-Token

````